pidgin: _PurpleLog Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleLog Struct Reference

A log. More...

`#include <log.h>`

## Data Fields
PurpleLogType | type
| The type of log this is.
char * | name
| The name of this log.
PurpleAccount * | account
| The account this log is taking place on.
PurpleConversation * | conv
| The conversation being logged.
time_t | time
| The time this conversation started, converted to the local timezone.
PurpleLogLogger * | logger
| The logging mechanism this log is to use.
void * | logger_data
| Data used by the log logger.
struct tm * | tm
| The time this conversation started, saved with original timezone data, if available and if struct tm has the BSD timezone fields, else `NULL`.

## Detailed Description

A log.

Not the wooden type.

Definition at line 124 of file log.h.

## Field Documentation

## ◆ account

PurpleAccount* _PurpleLog::account

The account this log is taking place on.

Definition at line 127 of file log.h.

## ◆ conv

PurpleConversation* _PurpleLog::conv

The conversation being logged.

Definition at line 129 of file log.h.

## ◆ logger

PurpleLogLogger* _PurpleLog::logger

The logging mechanism this log is to use.

Definition at line 133 of file log.h.

## ◆ logger_data

void* _PurpleLog::logger_data

Data used by the log logger.

Definition at line 135 of file log.h.

## ◆ name

char* _PurpleLog::name

The name of this log.

Definition at line 126 of file log.h.

## ◆ time

time_t _PurpleLog::time

The time this conversation started, converted to the local timezone.

Definition at line 130 of file log.h.

## ◆ tm

struct tm* _PurpleLog::tm

The time this conversation started, saved with original timezone data, if available and if struct tm has the BSD timezone fields, else `NULL`.

Do NOT modify anything in this struct.

Definition at line 136 of file log.h.

## ◆ type

PurpleLogType _PurpleLog::type

The type of log this is.

Definition at line 125 of file log.h.

The documentation for this struct was generated from the following file:

- log.h